var express = require('express');
var cookie  = require('cookie-parser')

var app = express();
app.use(cookie());

app.get('/', function(req, res){
    var counter =  parseInt(req.cookies.counter) || 0;
    res.cookie('counter', counter + 1);
    if (counter >= 5) {
        res.write('You are a valued customer ' + 
                  'visting the site ' + counter + ' times.');
    } else {
        res.write('This is visit number '+ counter +'!');
    }
    res.end();
});

app.listen(8000);
